summaryrefslogtreecommitdiff
path: root/dev-go/staticcheck/staticcheck-2026.2.1.ebuild
diff options
context:
space:
mode:
authorLibravatar Terin Stock <terinjokes@gmail.com>2026-09-28 20:20:39 +0200
committerLibravatar Terin Stock <terinjokes@gmail.com>2026-09-28 20:20:39 +0200
commit3b1193398421ff63900b2c9dcb283f4fcbbd82e7 (patch)
tree085f3845098519642b985141bb1e4b3fe5ef3e43 /dev-go/staticcheck/staticcheck-2026.2.1.ebuild
parentx11-misc/handlr-regex: new package, add 0.13.0 (diff)
downloadebuilds-3b1193398421ff63900b2c9dcb283f4fcbbd82e7.tar.xz
dev-go/staticcheck: add 2026.2.1, drop 2026.1HEADtrunk
Diffstat (limited to 'dev-go/staticcheck/staticcheck-2026.2.1.ebuild')
-rw-r--r--dev-go/staticcheck/staticcheck-2026.2.1.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-go/staticcheck/staticcheck-2026.2.1.ebuild b/dev-go/staticcheck/staticcheck-2026.2.1.ebuild
new file mode 100644
index 0000000..6877514
--- /dev/null
+++ b/dev-go/staticcheck/staticcheck-2026.2.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="The advanced Go linter"
+HOMEPAGE="https://staticcheck.io/"
+BDEPEND=">=dev-lang/go-1.26"
+SRC_URI="https://github.com/dominikh/go-tools/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-vendor.tar.xz "
+S="${WORKDIR}/go-tools-${PV}"
+
+LICENSE="MIT"
+LICENSE+=" BSD "
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+ mkdir bin || die
+ ego build -o bin/staticcheck ./cmd/staticcheck
+}
+
+src_test() {
+ ego test ./...
+}
+
+src_install() {
+ dobin bin/staticcheck
+}